org.apache.mina.statemachine.event

## Interface EventArgumentsInterceptor

-     public interface EventArgumentsInterceptor

  Intercepts the `Event` arguments before the `Event` is passed to the `StateMachine` and allows for the arguments to be modified. This is for advanced uses only.
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object[]` | `modify(Object[] arguments)` Modifies the specified array of event arguments.

- - ### Method Detail

    - #### modify

          Object[] modify(Object[] arguments)

      Modifies the specified array of event arguments.
      Parameters:
        `arguments` - the original arguments.
      Returns:
        the new arguments. Should return the original array if no modification is needed.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.